--[[spark_particle = 
{
	animation = "DATA:Animations/Bob/effects/telekenesis.anim",
	life = 2,
	fade = "quadratic",

	--default to background particle
	particle_placement = FXParticle.FOREGROUND
}

local elapsed = 0

function UpdatePattern( pattern, time_elapsed, particles, root_position, root_object )

	for i in particles:GetParticles() do
          
			i:SetScale( i:GetScale()*1.12 )
                
	end

end

foo = 0
total = 0
function UpdateSpawn( spawner, time_elapsed, particles, root_position, root_object )

	total = total + 1
	if total >= 30*1.3 then
		return
	end
	
	if foo == 0 then
		foo = 6
		local particle = spawner:SpawnParticle( "spark_particle", root_position )
		
		particle:SetScale( Vector2(0.1,0.1) )
		particle:SetModulate( Colour(255,255,255,150) )
	end
          
	foo = foo - 1
	
end

Effect = 
{
	FXType = "Custom",
	Data = 
	{
		-- 0 is infinity
		life = 10.5,
		
--		sound = "bang",
		
--		volume = 10.0,
	}
}--]]

Effect = 
{
	FXType = "Telekenesis",
	Data = 
	{
		-- 0 is infinity
		life = 10.5,
		
		Telekenesis =
		{
			spawn_time = 1.3,							--time is seconds for particle spawning
			spawn_delta = 6,								--number of frames between particle spawning
			modulate = { 255, 255, 255, 150 },		--particle modulate
			initial_scale = { 0.1, 0.1 },				--initial particle scale
			scaling_factor = 1.12,						--scalling factor each frame for particles
		},
		
		Particles = 
		{
			animation = "DATA:Animations/Bob/effects/telekenesis.anim",
			life = 2,
			fade = "quadratic",
			--default to background particle
			particle_placement = FXParticle.FOREGROUND
		}
	}
}